cURL
curl --request POST \
--url https://app-api.aide.app/v1/conversations/{id}/replies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"html": "<string>",
"attachmentIds": [
"<string>"
],
"snoozedUntil": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://app-api.aide.app/v1/conversations/{id}/replies"
payload = {
"body": "<string>",
"html": "<string>",
"attachmentIds": ["<string>"],
"snoozedUntil": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
html: '<string>',
attachmentIds: ['<string>'],
snoozedUntil: '2023-11-07T05:31:56Z'
})
};
fetch('https://app-api.aide.app/v1/conversations/{id}/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/conversations/{id}/replies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => '<string>',
'html' => '<string>',
'attachmentIds' => [
'<string>'
],
'snoozedUntil' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/conversations/{id}/replies"
payload := strings.NewReader("{\n \"body\": \"<string>\",\n \"html\": \"<string>\",\n \"attachmentIds\": [\n \"<string>\"\n ],\n \"snoozedUntil\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/conversations/{id}/replies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"<string>\",\n \"html\": \"<string>\",\n \"attachmentIds\": [\n \"<string>\"\n ],\n \"snoozedUntil\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/conversations/{id}/replies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": \"<string>\",\n \"html\": \"<string>\",\n \"attachmentIds\": [\n \"<string>\"\n ],\n \"snoozedUntil\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "message",
"topics": [
{
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"description": "<string>",
"confidence": 123,
"example": {
"id": "<string>",
"isPositive": true
}
}
],
"attachments": [
{
"unavailable": "blocked",
"url": "<string>",
"name": "<string>",
"id": "<string>",
"kind": "audio",
"size": 123,
"thumbnailUrl": "<string>",
"inline": true,
"mime": "<string>"
}
],
"createdAt": "<string>",
"id": "<string>",
"from": {
"name": "<string>",
"address": "<string>"
},
"billing": {
"category": "<string>",
"billable": true,
"pricingModel": "<string>"
},
"kind": "<string>",
"to": {
"name": "<string>",
"address": "<string>"
},
"body": "<string>",
"blocks": [
{
"kind": "resolution_check",
"answered": "not_yet"
}
],
"htmlBody": "<string>",
"knowledge": [
{
"url": "<string>",
"title": "<string>",
"feedback": true,
"snippet": "<string>",
"documentId": "<string>",
"score": 123,
"sourceName": "<string>"
}
],
"author": {
"name": "<string>",
"id": "<string>",
"avatarUrl": "<string>",
"initials": "<string>"
},
"sender": {
"reason": "auto_reply",
"outcome": "automated",
"ruleId": "<string>",
"decidedBy": "default",
"ruleName": "<string>",
"relayedBy": {
"name": "<string>",
"address": "<string>"
}
},
"reactions": [
{
"at": "<string>",
"emoji": "<string>",
"by": "<string>"
}
],
"suggestedTopic": {
"name": "<string>",
"id": "<string>",
"description": "<string>",
"groupName": "<string>",
"messageCount": 123
},
"authoredBy": "aide",
"public": true,
"rendered": [
{
"kind": "rich",
"payload": {},
"element": "cards"
}
],
"interaction": {
"id": "<string>",
"kind": "button_reply",
"payload": {
"kind": "offer_choice",
"offerId": "<string>",
"choice": "accept"
},
"comment": "<string>"
},
"delivery": {
"status": "delivered",
"failedReason": "capability"
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Conversation
Post v1conversations replies
POST
/
v1
/
conversations
/
{id}
/
replies
cURL
curl --request POST \
--url https://app-api.aide.app/v1/conversations/{id}/replies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"html": "<string>",
"attachmentIds": [
"<string>"
],
"snoozedUntil": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://app-api.aide.app/v1/conversations/{id}/replies"
payload = {
"body": "<string>",
"html": "<string>",
"attachmentIds": ["<string>"],
"snoozedUntil": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
html: '<string>',
attachmentIds: ['<string>'],
snoozedUntil: '2023-11-07T05:31:56Z'
})
};
fetch('https://app-api.aide.app/v1/conversations/{id}/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/conversations/{id}/replies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'body' => '<string>',
'html' => '<string>',
'attachmentIds' => [
'<string>'
],
'snoozedUntil' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/conversations/{id}/replies"
payload := strings.NewReader("{\n \"body\": \"<string>\",\n \"html\": \"<string>\",\n \"attachmentIds\": [\n \"<string>\"\n ],\n \"snoozedUntil\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/conversations/{id}/replies")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"body\": \"<string>\",\n \"html\": \"<string>\",\n \"attachmentIds\": [\n \"<string>\"\n ],\n \"snoozedUntil\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/conversations/{id}/replies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"body\": \"<string>\",\n \"html\": \"<string>\",\n \"attachmentIds\": [\n \"<string>\"\n ],\n \"snoozedUntil\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "message",
"topics": [
{
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"description": "<string>",
"confidence": 123,
"example": {
"id": "<string>",
"isPositive": true
}
}
],
"attachments": [
{
"unavailable": "blocked",
"url": "<string>",
"name": "<string>",
"id": "<string>",
"kind": "audio",
"size": 123,
"thumbnailUrl": "<string>",
"inline": true,
"mime": "<string>"
}
],
"createdAt": "<string>",
"id": "<string>",
"from": {
"name": "<string>",
"address": "<string>"
},
"billing": {
"category": "<string>",
"billable": true,
"pricingModel": "<string>"
},
"kind": "<string>",
"to": {
"name": "<string>",
"address": "<string>"
},
"body": "<string>",
"blocks": [
{
"kind": "resolution_check",
"answered": "not_yet"
}
],
"htmlBody": "<string>",
"knowledge": [
{
"url": "<string>",
"title": "<string>",
"feedback": true,
"snippet": "<string>",
"documentId": "<string>",
"score": 123,
"sourceName": "<string>"
}
],
"author": {
"name": "<string>",
"id": "<string>",
"avatarUrl": "<string>",
"initials": "<string>"
},
"sender": {
"reason": "auto_reply",
"outcome": "automated",
"ruleId": "<string>",
"decidedBy": "default",
"ruleName": "<string>",
"relayedBy": {
"name": "<string>",
"address": "<string>"
}
},
"reactions": [
{
"at": "<string>",
"emoji": "<string>",
"by": "<string>"
}
],
"suggestedTopic": {
"name": "<string>",
"id": "<string>",
"description": "<string>",
"groupName": "<string>",
"messageCount": 123
},
"authoredBy": "aide",
"public": true,
"rendered": [
{
"kind": "rich",
"payload": {},
"element": "cards"
}
],
"interaction": {
"id": "<string>",
"kind": "button_reply",
"payload": {
"kind": "offer_choice",
"offerId": "<string>",
"choice": "accept"
},
"comment": "<string>"
},
"delivery": {
"status": "delivered",
"failedReason": "capability"
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Path Parameters
Body
application/json
Required string length:
1 - 50000Maximum string length:
200000Maximum array length:
50Maximum string length:
64Available options:
new, open, waiting_on_customer, on_hold, snoozed, closed, spam Response
Created
Show child attributes
Show child attributes